/* wgEncodeGencodeGeneSymbol.h was originally generated by the autoSql program, which also 
 * generated wgEncodeGencodeGeneSymbol.c and wgEncodeGencodeGeneSymbol.sql.  This header links the database and
 * the RAM representation of objects. */

#ifndef WGENCODEGENCODEGENESYMBOL_H
#define WGENCODEGENCODEGENESYMBOL_H

#define WGENCODEGENCODEGENESYMBOL_NUM_COLS 3

extern char *wgEncodeGencodeGeneSymbolCommaSepFieldNames;

struct wgEncodeGencodeGeneSymbol
/* GENCODE transcript to official gene symbol.  For human, this is the HUGO Gene Nomenclature Committee (HGNC) gene symbo.  For mouse, this is the Mouse Genome Informatics (MGI) gene symbol. */
    {
    struct wgEncodeGencodeGeneSymbol *next;  /* Next in singly linked list. */
    char *transcriptId;	/* GENCODE transcript identifier */
    char *symbol;	/* HGNC/MGI gene symbol */
    char *geneId;	/* HGNC/MGI symbol id used by database */
    };

void wgEncodeGencodeGeneSymbolStaticLoad(char **row, struct wgEncodeGencodeGeneSymbol *ret);
/* Load a row from wgEncodeGencodeGeneSymbol table into ret.  The contents of ret will
 * be replaced at the next call to this function. */

struct wgEncodeGencodeGeneSymbol *wgEncodeGencodeGeneSymbolLoad(char **row);
/* Load a wgEncodeGencodeGeneSymbol from row fetched with select * from wgEncodeGencodeGeneSymbol
 * from database.  Dispose of this with wgEncodeGencodeGeneSymbolFree(). */

struct wgEncodeGencodeGeneSymbol *wgEncodeGencodeGeneSymbolLoadAll(char *fileName);
/* Load all wgEncodeGencodeGeneSymbol from whitespace-separated file.
 * Dispose of this with wgEncodeGencodeGeneSymbolFreeList(). */

struct wgEncodeGencodeGeneSymbol *wgEncodeGencodeGeneSymbolLoadAllByChar(char *fileName, char chopper);
/* Load all wgEncodeGencodeGeneSymbol from chopper separated file.
 * Dispose of this with wgEncodeGencodeGeneSymbolFreeList(). */

#define wgEncodeGencodeGeneSymbolLoadAllByTab(a) wgEncodeGencodeGeneSymbolLoadAllByChar(a, '\t');
/* Load all wgEncodeGencodeGeneSymbol from tab separated file.
 * Dispose of this with wgEncodeGencodeGeneSymbolFreeList(). */

struct wgEncodeGencodeGeneSymbol *wgEncodeGencodeGeneSymbolCommaIn(char **pS, struct wgEncodeGencodeGeneSymbol *ret);
/* Create a wgEncodeGencodeGeneSymbol out of a comma separated string. 
 * This will fill in ret if non-null, otherwise will
 * return a new wgEncodeGencodeGeneSymbol */

void wgEncodeGencodeGeneSymbolFree(struct wgEncodeGencodeGeneSymbol **pEl);
/* Free a single dynamically allocated wgEncodeGencodeGeneSymbol such as created
 * with wgEncodeGencodeGeneSymbolLoad(). */

void wgEncodeGencodeGeneSymbolFreeList(struct wgEncodeGencodeGeneSymbol **pList);
/* Free a list of dynamically allocated wgEncodeGencodeGeneSymbol's */

void wgEncodeGencodeGeneSymbolOutput(struct wgEncodeGencodeGeneSymbol *el, FILE *f, char sep, char lastSep);
/* Print out wgEncodeGencodeGeneSymbol.  Separate fields with sep. Follow last field with lastSep. */

#define wgEncodeGencodeGeneSymbolTabOut(el,f) wgEncodeGencodeGeneSymbolOutput(el,f,'\t','\n');
/* Print out wgEncodeGencodeGeneSymbol as a line in a tab-separated file. */

#define wgEncodeGencodeGeneSymbolCommaOut(el,f) wgEncodeGencodeGeneSymbolOutput(el,f,',',',');
/* Print out wgEncodeGencodeGeneSymbol as a comma separated list including final comma. */

/* -------------------------------- End autoSql Generated Code -------------------------------- */

#endif /* WGENCODEGENCODEGENESYMBOL_H */

